OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.EXT.TextureObject

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetEXTTextureObject :: MonadIO m => m Bool
- gl_EXT_texture_object :: Bool
- gl_TEXTURE_1D_BINDING_EXT :: GLenum
- gl_TEXTURE_2D_BINDING_EXT :: GLenum
- gl_TEXTURE_3D_BINDING_EXT :: GLenum
- gl_TEXTURE_PRIORITY_EXT :: GLenum
- gl_TEXTURE_RESIDENT_EXT :: GLenum
- glAreTexturesResidentEXT :: MonadIO m => GLsizei -> Ptr GLuint -> Ptr GLboolean -> m GLboolean
- glBindTextureEXT :: MonadIO m => GLenum -> GLuint -> m ()
- glDeleteTexturesEXT :: MonadIO m => GLsizei -> Ptr GLuint -> m ()
- glGenTexturesEXT :: MonadIO m => GLsizei -> Ptr GLuint -> m ()
- glIsTextureEXT :: MonadIO m => GLuint -> m GLboolean
- glPrioritizeTexturesEXT :: MonadIO m => GLsizei -> Ptr GLuint -> Ptr GLclampf -> m ()

# Extension Support

glGetEXTTextureObject :: MonadIO m => m Bool

Is the EXT_texture_object extension supported?

gl_EXT_texture_object :: Bool

Is the EXT_texture_object extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetEXTTextureObject` in those cases instead.

# Enums

gl_TEXTURE_1D_BINDING_EXT :: GLenum

gl_TEXTURE_2D_BINDING_EXT :: GLenum

gl_TEXTURE_3D_BINDING_EXT :: GLenum

gl_TEXTURE_PRIORITY_EXT :: GLenum

gl_TEXTURE_RESIDENT_EXT :: GLenum

# Functions

glAreTexturesResidentEXT

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLuint | `textures` pointing to `n` elements of type `Texture`.
-> Ptr GLboolean | `residences` pointing to `n` elements of type Boolean.
-> m GLboolean | of type Boolean.

glBindTextureEXT

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLuint | `texture` of type `Texture`.
-> m () |

This command is an alias for `glBindTexture`.

glDeleteTexturesEXT

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLuint | `textures` pointing to `n` elements of type `Texture`.
-> m () |

glGenTexturesEXT

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLuint | `textures` pointing to `n` elements of type `Texture`.
-> m () |

glIsTextureEXT

Arguments

:: MonadIO m |
=> GLuint | `texture` of type `Texture`.
-> m GLboolean | of type Boolean.

glPrioritizeTexturesEXT

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLuint | `textures` pointing to `n` elements of type `Texture`.
-> Ptr GLclampf | `priorities` pointing to `n` elements of type `ClampedFloat32`.
-> m () |

This command is an alias for `glPrioritizeTextures`.